Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Class MetaAttribute

    java.lang.Object
      org.hibernate.mapping.MetaAttribute

All Implemented Interfaces:
  Serializable

    public class MetaAttribute

extends Object
implements Serializable

A meta attribute is a named value or values.

See Also:
  Serialized Form

Constructor Summary
`MetaAttribute(String name)`

Method Summary
`void` | `addValue(String value)`
`String` | `getName()`
`String` | `getValue()`
`List` | `getValues()`
`boolean` | `isMultiValued()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetaAttribute

    public MetaAttribute(String name)

Method Detail

### getName

    public String getName()

### getValues

    public List getValues()

### addValue

    public void addValue(String value)

### getValue

    public String getValue()

### isMultiValued

    public boolean isMultiValued()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.